# Get Available Images - DescribeUK8SImage

## Overview

Obtain the Node operating system supported by UK8S, and you can create custom images based on this operating system.






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `DescribeUK8SImage`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.genesissai.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](api/summary/regionlist) |**Yes**|
| **Zone** | string | Availability Zone. See [Availability Zone List](api/summary/regionlist) |No|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, and the sub-account must be filled in. Please refer to the [GetProjectList interface](api/summary/get_project_list). |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **ImageSet** | array[[*ImageInfo*](#imageinfo)] | Available image set for the virtual machine, see ImageInfo array for details. |No|
| **PHostImageSet** | array[[*ImageInfo*](#imageinfo)] | Collection of available images for physical machines, see ImageInfo array |No|

#### Data Model


#### ImageInfo

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **ZoneId** | int | Availability Zone Id |**Yes**|
| **ImageId** | string | Image Id |**Yes**|
| **ImageName** | string | Image Name |**Yes**|
| **NotSupportGPU** | boolean | Does this image support GPU model, enumeration value [true: not supported, false: supported]. |**Yes**|

## Example

### Request Example
    
```
https://api.genesissai.com/?Action=DescribeUK8SImage
&Region=cn-zj
&Zone=cn-zj-01
&ProjectId=sUDxutjf
```

### Response Example
    
```json
{
  "Action": "DescribeUK8SImageResponse",
  "ImageSet": [
    {
      "ImageId": "SOqcWTEJ",
      "ImageName": "hIscEgwy",
      "NotSupportGPU": false,
      "ZoneId": 5
    }
  ],
  "ImageSetnew": [
    {
      "ImageId": "KeQfHnUL",
      "ImageName": "itWRmsMy",
      "NotSupportGPU": true,
      "ZoneId": 5
    }
  ],
  "Message": "RcXlEGbn",
  "PHostImageSet": [
    {
      "ImageId": "yFeQPFUL",
      "ImageName": "OlgivCjk",
      "NotSupportGPU": true,
      "ZoneId": 9
    }
  ],
  "RetCode": 0
}
```





